
%define 	module	fpconst

Summary:	IEEE 754 floating point special handling
Summary(pl.UTF-8):	Specjalna obsługa liczb zmiennoprzecinkowych IEEE 754
Name:		python-%{module}
Version:	0.7.2
Release:	6
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/f/fpconst/fpconst-%{version}.tar.gz
# Source0-md5:	10ba9e04129af23108d24c22c3a698b1
URL:		http://research.warnes.net/projects/RStatServer/fpconst/index_html
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This python module implements constants and functions for working with
IEEE 754 double-precision special values. It provides constants for
Not-a-Number (NaN), Positive Infinity (Inf), and Negative Infinity
(-Inf), as well as functions to test for these values.

%description -l pl.UTF-8
Ten moduł Pythona jest implementacją stałych i funkcji do pracy z
wartościami specjalnymi liczb podwójnej precyzji zgodnymi z IEEE 754.
Udostępnia stałe dla nie-liczb (NaN, czyli Not-a-Number), dodatniej
nieskończoności (Inf) i ujemnej nieskończoności (-Inf), a także
funkcje do porównywania z tymi wartościami.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-fpconst.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 6ade7cb
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 53c4b06
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e08870f
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5167edb
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 1317091
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bd5e5e
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f2477f
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c6d598
- release 2

* Wed Mar 05 2008 Elan Ruusamäe <glen@pld-linux.org> 381b456
- unify apache license

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b7462b4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> af7e536
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> ea4230a
- python 2.5 is required for .egg-info

* Fri Sep 29 2006 Artur Frysiak <artur@frysiak.net> 586ddf0
- updated to 0.7.2

* Mon Sep 04 2006 Artur Frysiak <artur@frysiak.net> dbc65c7
- rel. 5 (rebuild with python 2.5)

* Sun Jan 09 2005 saq <saq@pld-linux.org> 691777f
- missing BR & pyreqeq, rel 4

* Fri Dec 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 062dc8c
- rel 3

* Tue Nov 02 2004 undefine <undefine@pld-linux.org> 4af0d63
- release 2 for AC

* Tue Nov 02 2004 undefine <undefine@pld-linux.org> ecfa14c
- update to 0.7.0

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> ce3da96
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> d2fe57c
- removed %include /usr/lib/rpm/macros.python

